using System;

namespace Petlja22
{
    internal class Program
    {
        static void Main(string[] args)
        {
            String[] red = Console.ReadLine().Split(' ');
            int a = Convert.ToInt32((string)red[0]);
            int b = Convert.ToInt32((string)red[1]);

            if (a == 2 || b == 2)  {
                Console.WriteLine(a * b);
            }
            else {
                int count = 0;
                bool flag = false;

                if((b - 2) % 2 != 0) 
                    flag = true;

                for (int i = 0; i < (a - 2); i++) {
                    if (flag && i % 2 == 0)
                        count += (b - 2) / 2 + 1;
                    else
                        count += (b - 2) / 2;
                }

                Console.WriteLine(a * b - count);
                Console.ReadLine();
            }

        }
    }
}